<?xml version="1.0" encoding="UTF-8"?>
<component id="empresas_gmfl">
    <type>GRID_DETAIL_FORM_LABEL</type>
    <title>EMPRESAS</title>
    <rows>240</rows>
    <width>1024</width>
    <height>740</height>
    <pbin>gdp.exe</pbin>
    <base_path>..</base_path>
    <clase>
        
        <table>sdm_empresas</table>
        <id_field>i8_empresa_id</id_field>
        <autoincrement>yes</autoincrement>
        <select_fields>i8_empresa_id,i8_contribuyente_id,v128_empresa,v128_denominacion_comercial,c14_nit_id,c14_iva_id,c1_tipo_persona_id,i2_tipo_sociedad_id,c1_tipo_empresa_id,c1_tipo_local_id,c10_matricula,c8_tipo_aceptacion,dt_inicio_operaciones,dt_aceptacion,dt_ingreso,v64_nombres,v64_apellidos,v64_tipo_contribuyente,v64_nombres_oficial,v64_apellidos_oficial,v64_tipo_oficial,c16_estado,c8_base_empresa,i2_zona,ts_in,ts_update</select_fields>
        <insert_fields>i8_empresa_id,i8_contribuyente_id,v128_empresa,v128_denominacion_comercial,c14_nit_id,c14_iva_id,c1_tipo_persona_id,i2_tipo_sociedad_id,c1_tipo_empresa_id,c1_tipo_local_id,c10_matricula,c8_tipo_aceptacion,dt_inicio_operaciones,dt_aceptacion,dt_ingreso,v64_nombres,v64_apellidos,v64_tipo_contribuyente,v64_nombres_oficial,v64_apellidos_oficial,v64_tipo_oficial,c16_estado,c8_base_empresa,i2_zona,ts_in</insert_fields>
        <update_fields>i8_empresa_id,i8_contribuyente_id,v128_empresa,v128_denominacion_comercial,c14_nit_id,c14_iva_id,c1_tipo_persona_id,i2_tipo_sociedad_id,c1_tipo_empresa_id,c1_tipo_local_id,c10_matricula,c8_tipo_aceptacion,dt_inicio_operaciones,dt_aceptacion,dt_ingreso,v64_nombres,v64_apellidos,v64_tipo_contribuyente,v64_nombres_oficial,v64_apellidos_oficial,v64_tipo_oficial,c16_estado,c8_base_empresa,i2_zona</update_fields>
        <delete_fields>i8_empresa_id</delete_fields>
        <needed_fields>i8_contribuyente_id,v128_denominacion_comercial,i2_tipo_sociedad_id,c1_tipo_empresa_id,c1_tipo_local_id,c10_matricula,dt_inicio_operaciones</needed_fields>
        <order_by>1</order_by>
        <direction>asc</direction>
        <limit>250</limit>
        <offset>0</offset>
        <select_labels id="i8_contribuyente_id">
            
            <table>sdm_contribuyentes</table>
            <id_field>i8_contribuyente_id</id_field>
            <fields>v64_nombres,v64_apellidos,v128_contribuyente,c14_nit_id,c14_iva_id</fields>
            <document_fields>v64_nombres,v64_apellidos,v128_contribuyente,c14_nit_id,c14_iva_id</document_fields>
        </select_labels>
        <select_labels id="null"></select_labels>
        <associations>NO</associations>
    </clase>
    <elements>i2_tipo_sociedad_id,c1_tipo_local_id</elements>
    <element id="i2_tipo_sociedad_id">
        <properties>
            <type>combo</type>
            <data>text</data>
            <header>Composicion</header>
            <width>20</width>
        </properties>
        <evendt>NO</evendt>
        <clase>
            
            <table>sdm_tipo_sociedades</table>
            <keys>i2_tipo_sociedad_id</keys>      
            <fields>v32_tipo_sociedad</fields>
        </clase>
    </element>        
    <element id="null"></element> 
    <grid>
        <columns>i8_empresa_id,v128_empresa,v128_denominacion_comercial,i2_tipo_sociedad_id,c1_tipo_empresa_id,dt_inicio_operaciones,c16_estado</columns>
        <column id="i8_empresa_id">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>ID</header>
                <width>10</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="v128_empresa">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>NOMBRE</header>
                <width>64</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="v128_denominacion_comercial">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>DENOMINACION</header>
                <width>64</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="i2_tipo_sociedad_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>PERSONA</header>
                <width>2</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c1_tipo_empresa_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>TIPO</header>
                <width>32</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="dt_inicio_operaciones">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>INIC.OPER</header>
                <width>16</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c16_estado">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>ESTADO</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>>
        <column id="counter">
            <properties>
                <type>link</type>
                <data>text</data>
                <header>No.</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>>
        <counter>ON</counter>
        <delete>ON</delete>
        <tdheader_style>text-align:center</tdheader_style>
        <tdbody_style>text-align:left;vertical-align:center</tdbody_style>
    </grid>
</component>